import { TextStyle } from './TextStyle';
import type { FillStyleInputs } from '../graphics/shared/GraphicsContext';
import type { TextStyleOptions } from './TextStyle';
export interface HTMLTextStyleOptions extends Omit<TextStyleOptions, 'leading' | 'textBaseline' | 'trim'> {
    cssOverrides?: string[];
}
export declare class HTMLTextStyle extends TextStyle {
    private _cssOverrides;
    private _cssStyle;
    constructor(options: HTMLTextStyleOptions);
    set cssOverrides(value: string | string[]);
    get cssOverrides(): string[];
    protected _generateKey(): string;
    update(): void;
    clone(): HTMLTextStyle;
    get cssStyle(): string;
    /**
     * Add a style override, this can be any CSS property
     * it will override any built-in style. This is the
     * property and the value as a string (e.g., `color: red`).
     * This will override any other internal style.
     * @param {string} value - CSS style(s) to add.
     * @example
     * style.addOverride('background-color: red');
     */
    addOverride(...value: string[]): void;
    /**
     * Remove any overrides that match the value.
     * @param {string} value - CSS style to remove.
     * @example
     * style.removeOverride('background-color: red');
     */
    removeOverride(...value: string[]): void;
    set fill(value: FillStyleInputs);
    set stroke(value: FillStyleInputs);
}
